import java.util.LinkedList;

public class Graph {

	private LinkedList<Node> nodes;
	
	Graph() {
		this.nodes = new LinkedList<Node>();
	}
	
	public void addEdge(Node from, Node to) {
		from.addEdge(to);
	}
	
	public void addNode(Node thisNode) {
		nodes.add(thisNode);
	}
	
	public boolean hasRoute(Node from, Node to) {
		return from.hasRoute(to, new LinkedList());
	}
	
	public LinkedList<Node> findRoute(Node from, Node to) {
		return from.findRoute(to, new LinkedList());
	}
	
}
 